---
page_source: https://docs.juspay.io/paytm-gateway-configuration/docs/express-checkout/offer-list
page_title: Offer List
---

## API Version: default


# Offer List



API for listing the ACTIVE offers at a particular point in time based on the configurations in the offers operations dashboard.

List Offers API filters through the complete set of Merchant offers configured in the DB and provides key details per offer such as:

1. Offer description and terms
2. Offer eligibility for the current transaction
3. Offer benefits with calculation rules (Discount Value/Cashback Value)
4. Order amount pre/post discount
5. Eligible payment instruments/methods for an offer undefined## Endpoints:
- Production: https://api.juspay.in/v1/offers/list

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### x-merchantid:
The merchant id that a merchant hold at Juspay.
- Tags: string, Required

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location --request POST 'https://api.juspay.in/v1/offers/list' \
--header 'Authorization: <API KEY>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "order": {
        "order_id": "SDEA5645",
        "amount": "1000",
        "currency": "SGD"
    },
    "payment_method_info": [
        {
            "payment_method_type": "CARD",
            "payment_method_reference": "card_number_identifier",
            "card_number": "4111111111111111"
        },
        {
            "payment_method_type": "CARD",
            "payment_method_reference": "card_tkn_identifier",
            "card_token": "tkn_89876654365"
        },
        {
            "payment_method_type": "WALLET",
            "payment_method_reference": "MOBIKWIK",
            "payment_method": "MOBIKWIK"
        }
    ],
    "customer": {
        "id": "customer123",
        "email": "customer5453@gmail.com",
        "mobile": "99999999"
    }
}'
```

### Sample Response:

#### Without Coupon Code:
```json
{
  "best_offer_combinations": [
      {
          "payment_method_reference": "card_number_identifier",
          "offers": [
              {
                  "offer_id": "3666dfe2-53e7-4dff-a795-3bd0e0af2b26",
                  "cashback_amount": "0.00",
                  "discount_amount": "50.00",
                  "merchant_discount_amount": "0.00",
                  "total_offered_amount": "50.00"
              }
          ],
          "order_breakup": {
              "order_amount": "1000.00",
              "final_order_amount": "950.00",
              "discount_amount": "50.00",
              "merchant_discount_amount": "0.00",
              "cashback_amount": "0.00",
              "offer_amount": "50.00",
              "benefits": [
                  {
                      "type": "DISCOUNT",
                      "calculation_rule": "ABSOLUTE",
                      "value": 50
                  }
              ]
          }
      }
  ]
  "offers": [
      {
          "offer_id": "3666dfe2-53e7-4dff-a795-3bd0e0af2b26",
          "status": "ELIGIBLE",
          "reason": [],
          "offer_code": "additional 50 off",
          "offer_description": {
              "sponsored_by": "MERCHANT",
              "title": "flat 50 off",
              "description": "offer12",
              "tnc": "yurgvgxbhjknsa"
          },
          "ui_configs": {
              "auto_apply": "true",
              "should_validate": "true",
              "is_hidden": "false"
          },
          "offer_rules": {
              "amount": {
                  "currency": "SGD",
                  "min_order_amount": "500.00"
              },
              "payment_instrument": [
                  {
                      "variant": [],
                      "payment_method": [
                          "VISA",
                          "MASTERCARD"
                      ],
                      "payment_method_type": "CARD",
                      "app": [],
                      "type": [],
                      "issuer": [
                          "JP_X"
                      ]
                  }
              ],
              "gateways": [],
              "filters": {
                  "whitelist": [],
                  "blacklist": []
              },
              "txn_type": [
                  "ORDER"
              ]
          },
          "order_breakup": {
              "order_amount": "1000.00",
              "final_order_amount": "950.00",
              "discount_amount": "50.00",
              "merchant_discount_amount": "0.00",
              "cashback_amount": "0.00",
              "offer_amount": "50.00",
              "benefits": [
                  {
                      "type": "DISCOUNT",
                      "calculation_rule": "ABSOLUTE",
                      "value": 50
                  }
              ]
          },
          "eligible_saved_payment_methods": [
              "card_number_identifier"
          ]
      },
      {
          "offer_id": "c390583e-653f-4cae-9ab1-3328551793bb",
          "status": "ELIGIBLE",
          "reason": [],
          "offer_code": "Card",
          "offer_description": {
              "sponsored_by": "JP_X",
              "title": "50% off on X Debit card",
              "description": "",
              "tnc": ""
          },
          "ui_configs": {
              "auto_apply": "false",
              "should_validate": "true",
              "is_hidden": "false"
          },
          "offer_rules": {
              "amount": {
                  "currency": "SGD",
                  "min_order_amount": "500.00"
              },
              "payment_instrument": [
                  {
                      "variant": [],
                      "payment_method": [
                          "VISA",
                          "MASTERCARD"
                      ],
                      "payment_method_type": "CARD",
                      "app": [],
                      "type": [
                          "DEBIT"
                      ],
                      "issuer": [
                          "JP_X"
                      ]
                  }
              ],
              "gateways": [],
              "filters": {
                  "whitelist": [],
                  "blacklist": []
              },
              "txn_type": [
                  "ORDER"
              ]
          },
          "order_breakup": {
              "order_amount": "1000.00",
              "final_order_amount": "850.00",
              "discount_amount": "150.00",
              "merchant_discount_amount": "0.00",
              "cashback_amount": "0.00",
              "offer_amount": "150.00",
              "benefits": [
                  {
                      "type": "DISCOUNT",
                      "calculation_rule": "ABSOLUTE",
                      "value": 150
                  }
              ]
          },
          "eligible_saved_payment_methods": [
              "card_number_identifier"
          ]
      }
  ]
}
```

#### With Coupon Code:
```json
{
  "offers": [
      "offer_id": "c390583e-653f-4cae-9ab1-3328551793bb",
      "status": "ELIGIBLE",
      "reason": [],
      "offer_code": "CARD_OFFER",
      "offer_description": {
          "sponsored_by": "JP_X",
          "title": "50% off on X Debit card",
          "description": "Get 50% off upto 1000 on all transactions",
          "tnc": "Terms and conditions apply"
      },
      "ui_configs": {
          "auto_apply": "false",
          "should_validate": "true",
          "is_hidden": "false"
      },
      {
          "offer_rules": {
              "amount": {
                  "currency": "SGD",
                  "min_order_amount": "500.00"
              },
              "payment_instrument": [
                  {
                      "variant": [],
                      "payment_method": [
                          "VISA",
                          "MASTERCARD"
                      ],
                      "payment_method_type": "CARD",
                      "app": [],
                      "type": [
                          "DEBIT"
                      ],
                      "issuer": [
                          "JP_X"
                      ]
                  }
              ],
              "gateways": [],
              "filters": {
                  "whitelist": [],
                  "blacklist": []
              },
              "txn_type": [
                  "ORDER"
              ]
          },
          "order_breakup": {
              "order_amount": "1000.00",
              "final_order_amount": "850.00",
              "discount_amount": "150.00",
              "merchant_discount_amount": "0.00",
              "cashback_amount": "0.00",
              "offer_amount": "150.00",
              "benefits": [
                  {
                      "type": "DISCOUNT",
                      "calculation_rule": "ABSOLUTE",
                      "value": 150
                  }
              ]
          },
          "eligible_saved_payment_methods": [
              "card_number_identifier"
          ]
      }
  ],
  "best_offer_combinations": []
}
```

## Query Parameters:

#### ?emi=true:
Used when there are offers configured for EMI Option
- Tags: string
## Body Parameters:
### Parameters:

#### order:
- Value:
  - **Order_id**:
    - Description: Unique ID generated by JusPay for the given order
    - Tags: string
  - **Amount**:
    - Description: Order Amount
    - Tags: string, Required
  - **Currency**:
    - Description: Currency passed during order creation
    - Tags: string, Required
  - **Payment_channel**:
    - Description: Payment channel used for making transaction. Possible values ANDROID, IOS, WEB and MWEB
    - Tags: string
  - **Udf1**:
    - Description: The user defined fields passed during order creation
    - Tags: string
  - **Udf2**:
    - Description: The user defined fields passed during order creation
    - Tags: string
  - **Udf3**:
    - Description: The user defined fields passed during order creation
    - Tags: string
  - **Udf4**:
    - Description: The user defined fields passed during order creation
    - Tags: string
  - **Udf5**:
    - Description: The user defined fields passed during order creation
    - Tags: string
  - **Udf6**:
    - Description: The user defined fields passed during order creation
    - Tags: string
  - **Udf7**:
    - Description: The user defined fields passed during order creation
    - Tags: string
  - **Udf8**:
    - Description: The user defined fields passed during order creation
    - Tags: string
  - **Udf9**:
    - Description: The user defined fields passed during order creation
    - Tags: string
  - **Udf10**:
    - Description: The user defined fields passed during order creation
    - Tags: string
- Tags: object

#### payment_method_info:
- Description: Array of Payment Method Information
- Value:
  - **Payment_method_reference**:
    - Description: Unique identifier that can be sent by the merchant for the respective Payment Instruments
    - Tags: string
  - **Payment_method_type**:
    - Description: Payment Method Type of the transaction. Possible values are "CARD" | "NB" | "UPI" | "WALLET" | "REWARD"
    - Tags: string
  - **Payment_method**:
    - Description: Payment Method of the transaction
    - Tags: string
  - **Card_number**:
    - Description: Valid Card Number
    - Tags: string
  - **Card_token**:
    - Description: A valid card token obtained using /card/list API
    - Tags: string
  - **Card_alias**:
    - Description: Unique identifier received from Payv3 (Only for Payv3 integrations).
    - Tags: string
  - **Card_type**:
    - Description: Card type of the valid card.(Only for Payv3 integrations).
    - Tags: string
  - **Bank_code**:
    - Description: Bank Code
    - Tags: string
  - **Card_bin**:
    - Description: Card bin of the valid card
    - Tags: string
  - **Card_sub_type**:
    - Description: Card subtype of the valid card
    - Tags: string
  - **Upi_vpa**:
    - Description: Valid VPA of the customer
    - Tags: string
  - **Upi_app**:
    - Description: UPI App package name
    - Tags: string
  - **Txn_type**:
    - Description: UPI transaction type. Possible values are UPI_PAY, UPI_COLLECT
    - Tags: string
- Tags: object

#### customer:
- Value:
  - **Customer.id**:
    - Description: Customer id passed during order creation
    - Tags: string
  - **Customer.email**:
    - Description: Email Id of the customer passed during order creation
    - Tags: string
  - **Customer.phone**:
    - Description: Phone number of the customer passed during order creation
    - Tags: string
- Tags: object

#### offer_code:
- Description: Coupon code configured on Juspay Dashboard
- Tags: string
## API Responses:
### 200:

#### json:
- Tags: json
### 400:

#### json:
- Tags: json
### 401:

#### json:
- Tags: JSON
